LexerFrame (groovy 3.0.7 API)

Package: org.codehaus.groovy.antlr

## [Java] Class LexerFrame

- org.codehaus.groovy.antlr.LexerFrame

- All Implemented Interfaces and Traits:
    ActionListener

      @Deprecated
      public class LexerFrame
      extends JFrame
      implements ActionListener

  Swing application to graphically display the tokens produced by the lexer.

  deprecated:
    LexerFrame instead

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JFrame` | `DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE, DISPOSE_ON_CLOSE, EXIT_ON_CLOSE, DEFAULT_CURSOR, CROSSHAIR_CURSOR, TEXT_CURSOR, WAIT_CURSOR, SW_RESIZE_CURSOR, SE_RESIZE_CURSOR, NW_RESIZE_CURSOR, NE_RESIZE_CURSOR, N_RESIZE_CURSOR, S_RESIZE_CURSOR, W_RESIZE_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, MOVE_CURSOR, NORMAL, ICONIFIED, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MAXIMIZED_BOTH, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LexerFrame (Class lexerClass, Class tokenTypesClass)` Constructor used when invoking as a standalone application
    `LexerFrame (Class lexerClass, Class tokenTypesClass, Reader reader)` Constructor used when invoking for a specific file

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `actionPerformed(ActionEvent ae)`
    `` | `public void` | `actionPerformed(ActionEvent ae)`
    `` | `public static LexerFrame` | `groovyScriptFactory(String scriptText)` Creates a Groovy language LexerFrame for the given script text
    `` | `public static void` | `main(String[] args)`
    `` | `public void` | `mouseReleased(MouseEvent e)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JFrame` | `remove, update, getAccessibleContext, getGraphics, setTransferHandler, getTransferHandler, repaint, getRootPane, setLayout, getDefaultCloseOperation, setDefaultLookAndFeelDecorated, isDefaultLookAndFeelDecorated, setDefaultCloseOperation, setJMenuBar, getJMenuBar, setContentPane, getContentPane, setLayeredPane, getLayeredPane, setGlassPane, getGlassPane, setIconImage, remove, getState, setState, isResizable, setResizable, setBackground, addNotify, removeNotify, setUndecorated, isUndecorated, getTitle, setTitle, setCursor, setMenuBar, getMenuBar, setOpacity, setShape, getIconImage, setExtendedState, getExtendedState, setMaximizedBounds, getMaximizedBounds, getCursorType, getFrames, getType, isOpaque, isActive, getOwner, setSize, setSize, pack, getLocale, getShape, dispose, getListeners, paint, setMinimumSize, getWindows, setType, setLocation, setLocation, addPropertyChangeListener, addPropertyChangeListener, reshape, isValidateRoot, hide, isFocusCycleRoot, getFocusCycleRootAncestor, getBackground, setBounds, setBounds, isShowing, getFocusTraversalKeys, setFocusCycleRoot, getFocusOwner, postEvent, getMostRecentFocusOwner, getToolkit, setVisible, show, setCursor, createBufferStrategy, createBufferStrategy, getBufferStrategy, getInputContext, isFocusableWindow, getIconImages, setIconImages, toFront, toBack, getWarningString, getOwnedWindows, getOwnerlessWindows, setModalExclusionType, getModalExclusionType, addWindowListener, addWindowStateListener, addWindowFocusListener, removeWindowListener, removeWindowStateListener, removeWindowFocusListener, getWindowListeners, getWindowFocusListeners, getWindowStateListeners, setAlwaysOnTop, isAlwaysOnTopSupported, isAlwaysOnTop, isFocused, getFocusableWindowState, setFocusableWindowState, setAutoRequestFocus, isAutoRequestFocus, applyResourceBundle, applyResourceBundle, setLocationRelativeTo, setLocationByPlatform, isLocationByPlatform, getOpacity, add, add, add, add, add, remove, list, list, validate, print, removeAll, invalidate, locate, layout, preferredSize, getPreferredSize, getMaximumSize, minimumSize, getMinimumSize, getInsets, insets, getAlignmentY, getAlignmentX, getComponent, setFont, setFocusTraversalKeys, isFocusCycleRoot, getFocusTraversalPolicy, setFocusTraversalPolicy, countComponents, setComponentZOrder, getComponentZOrder, doLayout, paintComponents, printComponents, addContainerListener, removeContainerListener, getContainerListeners, deliverEvent, getMousePosition, findComponentAt, findComponentAt, isAncestorOf, areFocusTraversalKeysSet, isFocusTraversalPolicySet, setFocusTraversalPolicyProvider, isFocusTraversalPolicyProvider, transferFocusDownCycle, applyComponentOrientation, getLayout, getComponents, getComponentCount, getComponentAt, getComponentAt, add, toString, getName, contains, contains, list, list, list, size, getParent, getLocation, getLocation, setName, action, location, getSize, getSize, resize, resize, move, setLocale, isValid, bounds, setEnabled, getBounds, getBounds, isEnabled, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, printAll, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, getFontMetrics, setPreferredSize, setMaximumSize, dispatchEvent, enable, enable, getBaseline, getBaselineResizeBehavior, setForeground, getX, getY, getWidth, getHeight, repaint, repaint, repaint, isDoubleBuffered, nextFocus, getForeground, getFont, getTreeLock, isDisplayable, isPreferredSizeSet, isMaximumSizeSet, isMinimumSizeSet, isLightweight, getPropertyChangeListeners, getPropertyChangeListeners, getMousePosition, getGraphicsConfiguration, isFocusable, isFocusOwner, transferFocus, transferFocusBackward, setDropTarget, getDropTarget, enableInputMethods, disable, handleEvent, isVisible, revalidate, show, isForegroundSet, isBackgroundSet, isFontSet, getColorModel, getLocationOnScreen, getCursor, isCursorSet, paintAll, imageUpdate, createImage, createImage, createVolatileImage, createVolatileImage, prepareImage, prepareImage, checkImage, checkImage, setIgnoreRepaint, getIgnoreRepaint, inside, addComponentListener, removeComponentListener, getComponentListeners, addFocusListener, removeFocusListener, getFocusListeners, addHierarchyListener, removeHierarchyListener, getHierarchyListeners, addHierarchyBoundsListener, removeHierarchyBoundsListener, getHierarchyBoundsListeners, addKeyListener, removeKeyListener, getKeyListeners, addMouseListener, removeMouseListener, getMouseListeners, addMouseMotionListener, removeMouseMotionListener, getMouseMotionListeners, addMouseWheelListener, removeMouseWheelListener, getMouseWheelListeners, addInputMethodListener, removeInputMethodListener, getInputMethodListeners, getInputMethodRequests, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, gotFocus, lostFocus, isFocusTraversable, setFocusable, setFocusTraversalKeysEnabled, getFocusTraversalKeysEnabled, transferFocusUpCycle, hasFocus, setComponentOrientation, getComponentOrientation, setMixingCutoutShape, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public LexerFrame(Class lexerClass, Class tokenTypesClass)

      Constructor used when invoking as a standalone application

      Parameters:
        `lexerClass` - the lexer class to use
        `tokenTypesClass` - the lexer token types class

    - #### public LexerFrame(Class lexerClass, Class tokenTypesClass, Reader reader)

      Constructor used when invoking for a specific file

      Parameters:
        `lexerClass` - the lexer class to use
        `tokenTypesClass` - the lexer token types class

  - ### Method Detail

    - #### public void actionPerformed(ActionEvent ae)

    - #### public static LexerFrame groovyScriptFactory(String scriptText)

      Creates a Groovy language LexerFrame for the given script text

      Parameters:
        `scriptText` - the Groovy source file to parse/render
      Returns:
        the new frame rending the parsed tokens

    - #### public static void main(String[] args)

    - #### public void mouseReleased(MouseEvent e)